CHECK1(3)

SYNOPSIS
SUBROUTINE CHECK1 (SFAC, DFAC, KPRINT)

NAME
check1 - (UNKNOWN)

LIBRARY
SLATEC

AUTHOR
Lawson, C. L., (JPL)

DESCRIPTION
THIS SUBPROGRAM TESTS THE INCREMENTING AND ACCURACY OF THE LINEAR ALGEBRA SUBPROGRAMS 26 - 38 (SNRM2 TO ICAMAX). STORED RESULTS ARE COMPARED WITH THE RESULT RETURNED BY THE SUBPROGRAM. THESE SUBPROGRAMS REQUIRE A SINGLE VECTOR ARGUMENT. ICASE DESIGNATES WHICH SUBPROGRAM TO TEST. 26 .LE. ICASE .LE. 38 C. L. LAWSON, JPL, 1974 DEC 10, MAY 28

ROUTINES CALLED
CSCAL, CSSCAL, DASUM, DNRM2, DSCAL, DTEST, ICAMAX, IDAMAX, ISAMAX, ITEST, SASUM, SCASUM, SCNRM2, SNRM2, SSCAL, STEST

COMMON BLOCKS
COMBLA

REVISION HISTORY (YYMMDD)
741210 DATE WRITTEN
890911 Removed unnecessary intrinsics. (WRB)
890911 REVISION DATE from Version 3.2
891214 Prologue converted to Version 4.0 format. (BAB)